﻿@model IEnumerable<EnergyMission.Domain.Entities.CountryEntity>

@Html.Raw(File.ReadAllText(Server.MapPath("~/Views/Shared/_GridViewCommon.txt")))
@{
    
    EnergyMission.Domain.Entities.CountryEntity Countries = new CountryEntity();
    
    
}
@section scripts
{
<script type="text/javascript">




    $(document).ready(function () {
      

            var value = "@ViewBag.msg";
           
            if (value == "") {

                $("#errorssms").hide();

            }
            else {
                $("#errorssms").show();

            }

           



    

        $('#NameConfirm').change(function () {

            var Name2 = $("#NameConfirm").val().toUpperCase();

            var value = [];

            $("#Name1 option").each(function (i) {

                value[i] = $(this).val().toUpperCase();
                //alert($(this).text() + " : " + $(this).val());
            });


            //var item = jQuery.inArray(Name1, value);
            //alert(item);

            if (jQuery.inArray(Name2, value) == -1) {
                $("#lblval").text("Coutry not found");
                return;

            }
            else {

                $("#lblval").text('');
                return;
            }




        });
    });



    function cancelall() {


        $("#Id").val('');
        $("#Name").val('');

        $("#viewmodel").show();
        $("#editmodel").hide();
        $("#errorssms").hide();
        //$("#editmodel").val('Save Changes');
        return false;
    }

    var selectedKeys = "";

    function aspxSEClick(selectedValues) {

        var value = selectedValues;

        $.ajax({
            type: "Get",
            url: "/Countries/Edits",
            data: { "Id": value },
            dataType: 'json',
            contentType: "application/json;charset=utf-8",
            success: function (data) {
                //debugger
                //value = JSON.stringify(data);
                //alert(value);
                //var value =data.sgr
                //alert(data.result.id);

                $("#Id").val(data.result[0].id);
                $("#Name1").val(data.result[0].name);
                $("#Name").val(data.result[0].name);
                $("#NameConfirm").val(data.result[0].name);
                $("#viewmodel").hide();
                $("#editmodel").show();
                //$("#editmodel").show();
                //$("#SuperAdminEmail").val(data.result.superAdminEmail);
                //$("#NOE").val(data.result.noe);
                //$("#btnsave").val("Edit");
                //$("#sorganization").html(data.result.name);
                //$("#snoe").html(data.result.noe);
                //$("#sclinetid").html(data.result.clientAdmin);
                //$("#ClientAdmin").val(data.result.clientAdmin);
                //$("#Address").val(data.result.address);
                //$("#saddress").html(data.result.address);
                //$("#City").val(data.result.city);
                //$("#StateId").val(data.result.stateId);
                //$("#postCodeId").val(data.result.postCodeId);
                //$("#spostcode").html(data.result.city + "," + $("#StateId").text() + "," + $("#postCodeId").text());
                //$("#Geo_location_Latitude").val(data.result.geo_location_Latitude);
                //$("#Geo_location_Longditude").val(data.result.geo_location_Longditude);
                //$("#sgeolocation").html(data.result.geo_location_Latitude);
                //$("#sgeolocation1").html(data.result.geo_location_Longditude);

                return false;
            },


            error: function (textStatus, errorThrown) {

                alert(textStatus);
            }
        });

        //for (var i in selectedValues) {
        //    selectedKeys = selectedKeys + selectedValues[i] + ";";
        //}

        //gvRequestsList.PerformCallback();
    }
  
</script>
}
<div class="second-menu">
    <h3>Countries</h3>
    @*<ul class="org-inner-menu">
        <li><a href="#">Contact Site Manager</a></li>
        <li><a href="#">Help</a></li>
        <li><a href="#">Report Error</a></li>
        <li><a href="#">Report Error</a></li>
    </ul>*@
</div>


<div class="examples">
    <div id="testDivNested">
        <div class="gray_bg">
            <div class="ensure2" id="errorssms"><i class="fa fa-check-circle" aria-hidden="true"></i> @ViewBag.msg</div>
            <!-- Start White Inner -->
            <div class="white_inner">
                <!-- Start Countries -->

                <div class="client-admin-login">

                    @Html.Action("GridViewPartial")
                    </div>

                    @*<a href="Javascript:visible();" id="Addclient" class="add_new">Add New Client</a>


            @*<div class="top_name">
                <ul>
                    <li>Countries</li>
                </ul>
            </div>
            <div id="testDiv1">
                <div class="inner">
                    <div class="row_client">
                        <span class="black">Australia</span>
                        <span class="edit"><a href="#">Edit</a></span>
                        <span class="delete"><a href="#">Delete</a></span>
                    </div>
                </div>
            </div>*@

                    <!-- End Countries -->

                </div>
            <!-- End White Inner -->
            <!-- Start Bottom Details -->
            <div class="bottom delete2">

                @Html.Partial("_AddEditPartial", Countries)


                </div>
            </div>
            <!-- End Bottom Details -->
        </div>
    </div> 


    







